Subject: Re: Default compiler behaviour for b19
From: [email-masked] (Fergus Henderson)

10 Sep 1997 03:06:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Geoffrey Noer <[email-masked]> writes:

>Anthony Wesley wrote:
>> 
>> Perhaps I am misreading the comments on the gnuwin32 home page, but it
>> looks like Cygnus are proposing to have "gcc -o foo foo.c" generate
>> native win32 binaries by default and not link with cygwin.dll. To
>> compile UNIX-ish tools and link with the cygwin.dll library you will
>> have to supply an extra command line option.
>
>Yes, and this may still happen at some point down the road.

I have to agree with Anthony Wesley that this would be a Bad Idea.

>Perhaps, it depends on whether the goal is a Unix compiler running under
>Win32 or a Win32 compiler running under Win32 with a Unix compatibility
>option...

.... or both.
Having `gcc' behave in this way makes sense only if the first
goal is totally abandoned.  But I don't see why we can't have both.
The second goal is not particularly important to me, but if you want
it, then surely the sensible thing would be to have two different commands
(even if one is just a shell script that invokes the other with
an certain option set).  `gcc' should be the unix compatible version.
Some other name should be chosen for the Win32 compiler.

--
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".